{ pkgs, ...}:

{
  mkUser = name: {
    fileSystems."/home/${name}/Downloads" = {
      device = "tmpfs";
      fsType = "tmpfs";
      options = ["size=3G"];
    };

    users.users.${name} = {
      isNormalUser = true;
      shell = pkgs.zsh;
      extraGroups = [ "wheel" ];
    };

    home-manager.users.${name}.imports = [ ../roles/home ];
  };
}
